"""
"""

ADD_CONTENT_PERMISSION = 'Add portal content'

import Article
import TextElement
import LinkElement
import TableElement
import ImageElement
import GoToElement
#import PlayerElement
import Products.CMFCore

import App.Common
import os.path
import string

from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerFileExtension, registerDirectory
from Products.CMFCore.FSDTMLMethod import FSDTMLMethod
#import ArticlePermissions

contentClasses = ( Article.Article
                 ,)

contentConstructors = ( Article.addArticle
                      ,)

bases = (Article.Article
        ,)


import sys
this_module = sys.modules[ __name__ ]

z_bases = utils.initializeBasesPhase1( bases, this_module )

# This is used by a script (external method) that can be run
# to set up Articles in an existing CMF Site instance.
article_globals=globals()

# Make the skins available as DirectoryViews
registerDirectory('skins', globals())
registerDirectory('skins/ptarticle', globals())

# register javascript files as dtml methods
registerFileExtension('js', FSDTMLMethod)

def initialize( context ):
    utils.initializeBasesPhase2( z_bases, context )

    context.registerHelp(directory='help')
    context.registerHelpTitle('CMF Article Help')

    # CMF Initializers
    utils.ContentInit(
        'CMF Article Objects'
        ,content_types = contentClasses
        ,permission = CMFCorePermissions.AddPortalContent
        ,extra_constructors = contentConstructors
        ,fti = Article.factory_type_information
        ).initialize(context)
