## Script (Python) "aboveInThread"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Discussion parent breadcrumbs
##
breadcrumbs = ''
parents = context.parentsInThread(size=1)

if parents:
    breadcrumbs = 'Above in thread: '
    for parent in parents:
        if parent.meta_type == "Discussion Item":
            p_str = '<a href="%s">%s</a>' % (parent.absolute_url(), parent.Title())
        else:
            p_str = '<a href="%s/article_discussions">%s</a>' % (parent.absolute_url(), parent.Title())
        breadcrumbs = breadcrumbs + p_str + ':'

    breadcrumbs = breadcrumbs[:-1] + '<br />'

return breadcrumbs
